# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - Thumbnail Macro
    Version 0.1

    [[Thumbnail(file)]]
    Displays a thumbnail of an image attachment

    @copyright: 2007 by Kenneth Bull
    @license: GNU GPL, see COPYING for details.

"""

from MoinMoin import wikiutil

def execute(macro, args):
    return (
        macro.formatter.url(1, url="%(page)s?action=AttachFile&do=get&target=%(file)s" % {'page': wikiutil.url_quote(macro.formatter.page.page_name), 'file': wikiutil.url_quote(args)})+
        macro.formatter.image("%(page)s?action=Thumbnail&target=%(file)s" % {'page': wikiutil.url_quote(macro.formatter.page.page_name), 'file': wikiutil.url_quote(args)}, style="border:1px solid blue;")+
        macro.formatter.url(0)
        )

